@echo off

REM/**
REM  * IBM Confidential
REM  * 
REM  * Symphony Editor
REM  *
REM  * (C) Copyright IBM Corporation 2010.  All Rights Reserved.
REM  */

setlocal

set PARA1=%1
set PARA2=%2

set PATCH_PLUGIN_HOME=%PARA1:"=%
set PATCH_PLUGIN_ID=%PARA2:"=%

set OLD_PLUGIN_ID=%PATCH_PLUGIN_ID:.patch=%
set OLD_PLUGIN=%OLD_PLUGIN_ID%_3.0.1.20120110-2000
set OLD_PLUGIN_HOME="%PATCH_PLUGIN_HOME:"=%\..\%OLD_PLUGIN%"

set marker="%PATCH_PLUGIN_HOME:"=%\patchdone.sem"
set append="%PATCH_PLUGIN_HOME:"=%\append.list"
set filelist="%PATCH_PLUGIN_HOME:"=%\filelist"


for /f "usebackq" %%b in (%filelist%) do (               
    REM echo %%b         
    		if exist "%OLD_PLUGIN_HOME:"=%\%%b.bak" (    
        	copy /Y "%OLD_PLUGIN_HOME:"=%\%%b.bak" "%OLD_PLUGIN_HOME:"=%\%%b"
        	del /Q "%OLD_PLUGIN_HOME:"=%\%%b.bak"
        )       
 )
  
if exist %append% (
	for /f "usebackq" %%b in (%append%) do (  
		if exist "%OLD_PLUGIN_HOME:"=%\%%b" (  
			del /Q "%OLD_PLUGIN_HOME:"=%\%%b"
		) 
	)
	del /Q %append%
)  
  
if exist %marker% ( 
	del /Q %marker%
)

endlocal